#ifndef CFG_DEFS_H
#define CFG_DEFS_H 1

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_cache[] = {
	{ "SYSTEM_MAIL",	"/usr/sbin/sendmail" },
	{ "alt_char_set",	"no" },
	{ "ansi_varargs",	"yes" },
	{ "baddef_remove",	"no" },
	{ "bool_defs",	"yes" },
	{ "c_const",	"yes" },
	{ "c_inline",	"inline" },
	{ "color_curses",	"no" },
	{ "curs_performance",	"no" },
	{ "dcl_errno",	"yes" },
	{ "dcl_sys_errlist",	"yes" },
	{ "dcl_sys_nerr",	"yes" },
	{ "ebcdic",	"no" },
	{ "fancy_curses",	"no" },
	{ "fionbio",	"ioctl" },
	{ "func___argz_count",	"no" },
	{ "func___argz_next",	"no" },
	{ "func___argz_stringify",	"no" },
	{ "func_alloca_works",	"yes" },
	{ "func_assume_default_colors",	"no" },
	{ "func_cbreak",	"yes" },
	{ "func_cuserid",	"no" },
	{ "func_decl_getgrgid",	"yes" },
	{ "func_decl_getgrnam",	"yes" },
	{ "func_decl_strstr",	"yes" },
	{ "func_define_key",	"no" },
	{ "func_getattrs",	"no" },
	{ "func_getbegx",	"no" },
	{ "func_getbegy",	"no" },
	{ "func_getcwd",	"yes" },
	{ "func_getgroups",	"yes" },
	{ "func_gethostbyname",	"yes" },
	{ "func_gethostname",	"yes" },
	{ "func_getpagesize",	"yes" },
	{ "func_gettimeofday",	"yes" },
	{ "func_getuid",	"yes" },
	{ "func_initscr",	"yes" },
	{ "func_keypad",	"no" },
	{ "func_lstat",	"yes" },
	{ "func_mkstemp",	"yes" },
	{ "func_mktemp",	"yes" },
	{ "func_mktime",	"yes" },
	{ "func_mmap_fixed_mapped",	"yes" },
	{ "func_munmap",	"yes" },
	{ "func_popen",	"yes" },
	{ "func_putenv",	"yes" },
	{ "func_rand",	"yes" },
	{ "func_readdir",	"yes" },
	{ "func_resizeterm",	"no" },
	{ "func_setenv",	"yes" },
	{ "func_setlocale",	"yes" },
	{ "func_setuid",	"yes" },
	{ "func_sigaction",	"yes" },
	{ "func_socket",	"yes" },
	{ "func_srand",	"yes" },
	{ "func_stpcpy",	"no" },
	{ "func_strcasecmp",	"yes" },
	{ "func_strchr",	"yes" },
	{ "func_strdup",	"yes" },
	{ "func_strerror",	"yes" },
	{ "func_strstr",	"yes" },
	{ "func_truncate",	"yes" },
	{ "func_unsetenv",	"yes" },
	{ "func_use_default_colors",	"no" },
	{ "func_vasprintf",	"no" },
	{ "func_vfork_works",	"yes" },
	{ "func_waitpid",	"yes" },
	{ "func_wborder",	"no" },
	{ "func_wredrawln",	"no" },
	{ "gnu_source",	"no" },
	{ "have_errno",	"yes" },
	{ "have_h_errno",	"yes" },
	{ "have_inet_aton",	"yes" },
	{ "have_sys_errlist",	"yes" },
	{ "have_sys_nerr",	"yes" },
	{ "have_ttytype",	"yes" },
	{ "have_utmp",	"yes" },
	{ "header_alloca_h",	"no" },
	{ "header_argz_h",	"no" },
	{ "header_arpa_inet_h",	"yes" },
	{ "header_dirent_dirent_h",	"yes" },
	{ "header_fcntl_h",	"yes" },
	{ "header_intl",	"intl/libintl.h" },
	{ "header_libgt",	"intl/libgettext.h" },
	{ "header_limits_h",	"yes" },
	{ "header_locale_h",	"yes" },
	{ "header_malloc_h",	"no" },
	{ "header_nl_types_h",	"no" },
	{ "header_stdarg_h",	"yes" },
	{ "header_stdc",	"yes" },
	{ "header_stdlib_h",	"yes" },
	{ "header_string_h",	"yes" },
	{ "header_sys_fcntl_h",	"yes" },
	{ "header_sys_filio_h",	"yes" },
	{ "header_sys_ioctl_h",	"yes" },
	{ "header_sys_param_h",	"yes" },
	{ "header_sys_time_h",	"yes" },
	{ "header_sys_wait_h",	"yes" },
	{ "header_syslog_h",	"yes" },
	{ "header_termio_h",	"no" },
	{ "header_termios_h",	"yes" },
	{ "header_time",	"yes" },
	{ "header_unistd_h",	"yes" },
	{ "header_varargs_h",	"yes" },
	{ "header_vfork_h",	"no" },
	{ "lib_dir_opendir",	"no" },
	{ "lib_inet_main",	"no" },
	{ "locale",	"yes" },
	{ "ncurses_header",	"curses.h" },
	{ "ncurses_version",	"no" },
	{ "need_xopen_extension",	"no" },
	{ "netlibs",	"''" },
	{ "ngroups",	"yes" },
	{ "path_BZIP2",	"bzip2" },
	{ "path_CHMOD",	"/bin/chmod" },
	{ "path_COMPRESS",	"/usr/bin/compress" },
	{ "path_COPY",	"/bin/cp" },
	{ "path_GZIP",	"/usr/bin/gzip" },
	{ "path_INSTALL",	"'/usr/bin/install -c'" },
	{ "path_MKDIR",	"/bin/mkdir" },
	{ "path_MV",	"/bin/mv" },
	{ "path_RLOGIN",	"/usr/bin/rlogin" },
	{ "path_RM",	"/bin/rm" },
	{ "path_TAR",	"/usr/bin/tar" },
	{ "path_TELNET",	"/usr/bin/telnet" },
	{ "path_TN3270",	"tn3270" },
	{ "path_TOUCH",	"/usr/bin/touch" },
	{ "path_UNCOMPRESS",	"/usr/bin/gunzip" },
	{ "path_UNZIP",	"/usr/bin/unzip" },
	{ "path_UUDECODE",	"/usr/bin/uudecode" },
	{ "path_ZCAT",	"/usr/bin/zcat" },
	{ "path_ZIP",	"/usr/bin/zip" },
	{ "path_install",	"'/usr/bin/install -c'" },
	{ "prog_CC",	"cc" },
	{ "prog_CPP",	"'cc -E -traditional-cpp'" },
	{ "prog_LN_S",	"'ln -s'" },
	{ "prog_RANLIB",	"ranlib" },
	{ "prog_cc_cross",	"no" },
	{ "prog_cc_g",	"yes" },
	{ "prog_cc_works",	"yes" },
	{ "prog_gcc",	"yes" },
	{ "prog_make_make_set",	"yes" },
	{ "screen",	"curses" },
	{ "set_errno",	"yes" },
	{ "sizechange",	"yes" },
	{ "system_mail_flags",	"'-t -oi'" },
	{ "system_name",	"darwin1.2" },
	{ "termio_and_curses",	"no" },
	{ "termio_and_termios",	"yes" },
	{ "type_getgroups",	"gid_t" },
	{ "type_mode_t",	"yes" },
	{ "type_off_t",	"yes" },
	{ "type_pid_t",	"yes" },
	{ "type_size_t",	"yes" },
	{ "type_uid_t",	"yes" },
	{ "type_unionwait",	"no" },
	{ "use_libsocks5",	"no" },
	{ "use_libsocks",	"no" },
	{ "val_LC_MESSAGES",	"no" },
};

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_defines[] = {
	{ "ANSI_VARARGS",	"1" },
	{ "BZIP2_PATH",	"\"bzip2\"" },
	{ "CAN_SET_ERRNO",	"1" },
	{ "CHMOD_PATH",	"\"/bin/chmod\"" },
	{ "COMPRESS_PATH",	"\"/usr/bin/compress\"" },
	{ "COPY_PATH",	"\"/bin/cp\"" },
	{ "DIRED_SUPPORT",	"1" },
	{ "DISP_PARTIAL",	"1" },
	{ "DONT_TRACK_INTERNAL_LINKS",	"1" },
	{ "EXP_ALT_BINDINGS",	"1" },
	{ "EXP_PERSISTENT_COOKIES",	"1" },
	{ "GETGROUPS_T",	"gid_t" },
	{ "GZIP_PATH",	"\"/usr/bin/gzip\"" },
	{ "HAVE_ALLOCA",	"1" },
	{ "HAVE_ARPA_INET_H",	"1" },
	{ "HAVE_CBREAK",	"1" },
	{ "HAVE_DIRENT_H",	"1" },
	{ "HAVE_FCNTL_H",	"1" },
	{ "HAVE_GETCWD",	"1" },
	{ "HAVE_GETGROUPS",	"1" },
	{ "HAVE_GETTIMEOFDAY",	"1" },
	{ "HAVE_GETUID",	"1" },
	{ "HAVE_H_ERRNO",	"1" },
	{ "HAVE_INET_ATON",	"1" },
	{ "HAVE_LIMITS_H",	"1" },
	{ "HAVE_LOCALE_H",	"1" },
	{ "HAVE_LSTAT",	"1" },
	{ "HAVE_MKSTEMP",	"1" },
	{ "HAVE_MKTEMP",	"1" },
	{ "HAVE_MMAP",	"1" },
	{ "HAVE_MUNMAP",	"1" },
	{ "HAVE_POPEN",	"1" },
	{ "HAVE_PUTENV",	"1" },
	{ "HAVE_RAND",	"1" },
	{ "HAVE_READDIR",	"1" },
	{ "HAVE_SETENV",	"1" },
	{ "HAVE_SETLOCALE",	"1" },
	{ "HAVE_SETUID",	"1" },
	{ "HAVE_SIGACTION",	"1" },
	{ "HAVE_SIZECHANGE",	"1" },
	{ "HAVE_SRAND",	"1" },
	{ "HAVE_STDARG_H",	"1" },
	{ "HAVE_STDLIB_H",	"1" },
	{ "HAVE_STRCASECMP",	"1" },
	{ "HAVE_STRCHR",	"1" },
	{ "HAVE_STRERROR",	"1" },
	{ "HAVE_STRING_H",	"1" },
	{ "HAVE_SYSLOG_H",	"1" },
	{ "HAVE_SYS_FCNTL_H",	"1" },
	{ "HAVE_SYS_FILIO_H",	"1" },
	{ "HAVE_SYS_IOCTL_H",	"1" },
	{ "HAVE_SYS_PARAM_H",	"1" },
	{ "HAVE_SYS_WAIT_H",	"1" },
	{ "HAVE_TERMIOS_H",	"1" },
	{ "HAVE_TRUNCATE",	"1" },
	{ "HAVE_TTYTYPE",	"1" },
	{ "HAVE_UNISTD_H",	"1" },
	{ "HAVE_UNSETENV",	"1" },
	{ "HAVE_UTMP",	"1" },
	{ "HAVE_VARARGS_H",	"1" },
	{ "HAVE_WAITPID",	"1" },
	{ "INSTALL_ARGS",	"\"-c\"" },
	{ "INSTALL_PATH",	"\"/usr/bin/install\"" },
	{ "LOCALE",	"1" },
	{ "LONG_LIST",	"1" },
	{ "LYNX_CFG_FILE",	"\"/usr/local/lib/lynx.cfg\"" },
	{ "LYNX_CFG_H",	"1" },
	{ "MKDIR_PATH",	"\"/bin/mkdir\"" },
	{ "MV_PATH",	"\"/bin/mv\"" },
	{ "OK_GZIP",	"1" },
	{ "OK_OVERRIDE",	"1" },
	{ "OK_PERMIT",	"1" },
	{ "OK_TAR",	"1" },
	{ "OK_UUDECODE",	"1" },
	{ "OK_ZIP",	"1" },
	{ "RLOGIN_PATH",	"\"/usr/bin/rlogin\"" },
	{ "RM_PATH",	"\"/bin/rm\"" },
	{ "STDC_HEADERS",	"1" },
	{ "SYSTEM_MAIL",	"\"/usr/sbin/sendmail\"" },
	{ "SYSTEM_MAIL_FLAGS",	"\"-t -oi\"" },
	{ "SYSTEM_NAME",	"\"darwin1.2\"" },
	{ "TAR_PATH",	"\"/usr/bin/tar\"" },
	{ "TELNET_PATH",	"\"/usr/bin/telnet\"" },
	{ "TN3270_PATH",	"\"tn3270\"" },
	{ "TOUCH_PATH",	"\"/usr/bin/touch\"" },
	{ "UNCOMPRESS_PATH",	"\"/usr/bin/gunzip\"" },
	{ "UNIX",	"1" },
	{ "UNZIP_PATH",	"\"/usr/bin/unzip\"" },
	{ "USE_EXTERNALS",	"1" },
	{ "UUDECODE_PATH",	"\"/usr/bin/uudecode\"" },
	{ "ZCAT_PATH",	"\"/usr/bin/zcat\"" },
	{ "ZIP_PATH",	"\"/usr/bin/zip\"" },
	{ "lstat",	"stat" },
};

#endif /* CFG_DEFS_H */
